Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address
Summary: The "Password Reset" notice should use the patron's homebranch's email as "fr...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-10 18:37 UTC by David Kuhn
Modified: 2017-08-15 16:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address (1.45 KB, patch)
2017-06-10 20:12 UTC, David Kuhn
Details | Diff | Splinter Review
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address (1.51 KB, patch)
2017-07-06 23:17 UTC, Jessica
Details | Diff | Splinter Review
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address (1.59 KB, patch)
2017-07-13 19:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18775: Use Koha::Patron->library instead of Koha::Libraries->find (1001 bytes, patch)
2017-07-13 19:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Kuhn 2017-06-10 18:37:30 UTC
The password reset notice currently uses the email address stored in the KohaAdminEmailAddress system preference as the "from" address. This can be confusing to patrons (or even make them suspicious) since it may not be the same address (or even the same domain) as the rest of their email notices.

This enhancement would use the "from" address set for the patron's home branch and only use the Koha Admin Email Address as a fallback if there is not an address set for the home branch.
Comment 1 David Kuhn 2017-06-10 20:12:14 UTC
Created attachment 64173 [details] [review]
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address

To test:
1. Enable the password recovery feature.
2. In the OPAC, click on "Forgot you password?" link and enter requested information.
3. The email with the password reset link has the Koha Admin Email Address listed as the sender.
4. Apply the patch.
5. Repeat step 2. The email with the password reset link now has the the "from" address set for the patron's home branch listed as the sender.
Comment 2 Jessica 2017-07-06 23:17:37 UTC
Created attachment 64875 [details] [review]
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address

To test:
1. Enable the password recovery feature.
2. In the OPAC, click on "Forgot you password?" link and enter requested information.
3. The email with the password reset link has the Koha Admin Email Address listed as the sender.
4. Apply the patch.
5. Repeat step 2. The email with the password reset link now has the the "from" address set for the patron's home branch listed as the sender.

Signed-off-by: Jessica Freeman <jessicafreeman@catalyst.net.nz>
Comment 3 Jonathan Druart 2017-07-13 19:41:03 UTC
Created attachment 65024 [details] [review]
Bug 18775 - The "Password Reset" notice should use the patron's homebranch's email as "from" address

To test:
1. Enable the password recovery feature.
2. In the OPAC, click on "Forgot you password?" link and enter requested information.
3. The email with the password reset link has the Koha Admin Email Address listed as the sender.
4. Apply the patch.
5. Repeat step 2. The email with the password reset link now has the the "from" address set for the patron's home branch listed as the sender.

Signed-off-by: Jessica Freeman <jessicafreeman@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-07-13 19:41:07 UTC
Created attachment 65025 [details] [review]
Bug 18775: Use Koha::Patron->library instead of Koha::Libraries->find

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-07-13 21:42:39 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-07-18 12:37:09 UTC
Enhancement not pushed to 17.05.x
Comment 7 Katrin Fischer 2017-08-15 15:56:05 UTC
Hm, I think we should really use Koha::Email here to have the same logic as other emails. There is another related bug 18988, also commenting there.
Comment 8 Katrin Fischer 2017-08-15 16:07:19 UTC
(In reply to Katrin Fischer from comment #7)
> Hm, I think we should really use Koha::Email here to have the same logic as
> other emails. There is another related bug 18988, also commenting there.

Sigh - after looking at the code more closely, that is nonsense. The password reset emails are using the message_queue which makes them work just like they should.